version: '3'

services:
   db:
     image: mysql:5.7
     volumes:
       - ./db_data:/var/lib/mysql
     restart: always
     environment:
       MYSQL_ROOT_PASSWORD: somewordpress
       MYSQL_DATABASE: wordpress
       MYSQL_USER: wordpress
       MYSQL_PASSWORD: wordpress
     networks:
       bikini:
        ipv4_address: 172.19.0.5

   wp_multisite:
     hostname: wp_multisite
     labels:
       com.theimpossiblecode.expose.domain: "defaultdrop.net"
       com.theimpossiblecode.expose.domainIsHost: "true"
       com.theimpossiblecode.expose.subdomainHosts: "support blog"
     depends_on:
       - db
     image: wordpress:latest
     networks:
       bikini:
        ipv4_address: 172.19.0.4
#     ports:
#       - 443:443
#       - 80:80
     volumes:
       - ./src:/var/www/html
       - ./le:/var/www/letsencrypt/live
     links:
       - db
     restart: always
     environment:
       WORDPRESS_DB_HOST: db:3306
       WORDPRESS_DB_USER: wordpress
       WORDPRESS_DB_PASSWORD: wordpress
#volumes:
#    db_data:
#    wp_data:
networks:
  bikini: 
    external: true
